{{!-- General Wounds Management--}}
<div class="npc-generalwoundname" style="grid-area:generalwoundname;">{{localize "RQG.GENERALWOUNDS"}}</div>
<div class="npc-generalwounds" style="grid-area:generalwoundvalue;"><input class="attribute-value npc-wounds" type="text" name="data.attributes.generalwounds" value="{{actor.data.data.attributes.generalwounds}}" data-dtype="Number"/></div> 
<div class="npc-hitlocations-list"  style="grid-area:hitlocations">
    {{#if data.flags.locked}}
        <table class="hitlocationtable"  border="2">
        <thead>
            <tr>
                <th class="npc-hitlocationname" colspan="2">{{localize "RQG.HitLocations"}}</th>
                <th class="npc-hitlocationlockedfield">{{localize "RQG.HP"}}</th>
                <th class="npc-hitlocationlockedfield">{{localize "RQG.ARMOR"}}</th>
                <th class="npc-hitlocationlockedfield">{{localize "RQG.WDS"}}</th>
            </tr>
        </thead>
        <tbody>
        {{#each data.hitlocations as |hl id|}}
            <tr class="item" data-itemid="{{hl._id}}">
                <td class="npc-hitlocationname">{{localize hl.name}}</td>
                <td class="npc-hitlocationlockedfield">{{hl.data.data.rangestart}}-{{hl.data.data.rangeend}}</td>
                <td class="npc-hitlocationlockedfield">{{hl.data.data.currenthp}}</td>
                <td class="npc-hitlocationlockedfield">{{hl.data.data.armor}}</td>
                <td class="npc-hitlocationlockedfield"><input id="{{hl._id}}_wounds" class="attribute-value hitloc-wounds npc-wounds"  type="text"  name="data.wounds"  value="{{hl.data.data.wounds}}"  data-dtype="Number"  /></td>
            </tr>        
        {{/each}}
        </tbody>
        </table>
    {{else}}
        <div class="item-controls">
            <select name="data.attributes.hitlocationstype">
                {{#select data.attributes.hitlocationstype}}
                {{#each config.hitlocationstypes as |name type|}}
                <option value="{{type}}">{{localize name}}</option>
                {{/each}}
                {{/select}}
            </select>  
            <a class="item-control item-create" title="Create item" data-type="hitlocation"><i class="fas fa-plus"></i></a>
        </div>   
        <table class="hitlocationtable"  border="2">
        <thead>
            <th class="npc-hitlocationunlockedfield">{{localize "RQG.HitLocations"}}</th>
            <th class="npc-hitlocationunlockedfield">{{localize "RQG.RANGE"}}</th>
            <th class="npc-hitlocationunlockedfield">{{localize "RQG.HP"}}</th>
            <th class="npc-hitlocationunlockedfield">{{localize "RQG.MAXHITPOINTS"}}</th>
            <th class="npc-hitlocationunlockedfield">{{localize "RQG.ARMOR"}}</th>
            <th class="npc-hitlocationunlockedfield" colspan="2">{{localize "RQG.WOUNDS"}}</th>
        </thead>
        <tbody>                
        {{#each data.hitlocations as |hl id|}}
            <tr style="height: 28px;" class="item" data-item-id="{{hl._id}}">
                <td class="npc-hitlocationname">{{localize hl.name}}</td>
                <td class="npc-hitlocationunlockedfield">{{hl.data.data.rangestart}}-{{hl.data.data.rangeend}}</td>
                <td class="npc-hitlocationunlockedfield">{{hl.data.data.currenthp}}</td>
                <td class="npc-hitlocationunlockedfield">{{hl.data.data.maxhp}}</td>
                <td class="npc-hitlocationunlockedfield"><input class="attribute-value resource-input" id="{{hl._id}}_armor" class="attribute-value hitloc-armor"  type="text"  name="data.armor"  value="{{hl.data.data.armor}}"  data-dtype="Number"  /></td>
                <td class="npc-hitlocationunlockedfield"><input id="{{hl._id}}_wounds" class="attribute-value hitloc-wounds resource-input"  type="text"  name="data.wounds"  value="{{hl.data.data.wounds}}"  data-dtype="Number"  /></td>
                <td class="item-controls hitlocationunlockedfield">
                    <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a>
                    <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                </td>                
            </tr>        
        {{/each}}
        </tbody>
        </table>
    {{/if}}
</div>